Proportional Editing Significant Glitch, Object Mode
Closed, ResolvedPublic

Description

Upon using proportional editing within Object Mode there appears to be an issue relating to the manipulation of the size of the proportion circle. Namely, after transformation and then subsequent exclusion of objects from the circle, (by decreasing its size) it is expected that these objects return to their original position as is evident within Edit Mode when manipulating vertices. However, within Object Mode the meshes tend to incorrectly reset position, so that prior to and after denying/applying the action the representation of the objects is significantly different then that of the original placement. Though it is evident using all falloff types, the incorrect effect is best illustrated when using the constant interpolation. Included within the message is an image which may further aid with interpretation of the issue. Within the upper-left panel I have displayed the objects, ten cubes neatly aligned in a row. Within the upper-right panel I have used a constant falloff to transform some of the cubes a small distance positively upon the z axis. Within the lower-left panel I have decreased the size of the circle and moved the selection negatively upon the z axis, note that this not a separate transformation of the objects. Within the lower-right panel instead of confirming the actions I have instead cancelled them, note that the four elevated cubes have not returned to their original positions. Thank you very much for your time and effort.

Regards,
Nathaniel de Bell

I had a go at this (for fun) and found a potential fix in transform_generics.c:
Have a look at the attached patch with some more info.

BUT BEWARE: I am a newbee, transform code is complex and is used all over the place, and I have only done so much testing... actually I'm pretty sure there is a better fix
but will put this out as a suggestion...

Sergey Sharybin (sergey) added a comment.Via Old WorldJun 18 2012, 1:59 PM

Martin, are you around to look into this?

Sergey Sharybin (sergey) added a comment.Via Old WorldJul 3 2012, 3:40 PM

Fixed duplicate report http://projects.blender.org/tracker/?func=detail&atid=498&aid=32000&group_id=9

Ton Roosendaal (ton) added a comment.Via Old WorldOct 20 2012, 7:41 PM

re-assign to self.

Ton Roosendaal (ton) added a comment.Via Old WorldOct 26 2012, 11:55 AM

Tested patch, and it works as expected. The code wrongly sets TD_NOACTION during changing a circle.
Fix goes to svn.

Phillipp: thanks for finding this, and sorry it took so long :)

Ton Roosendaal (ton) closed this task as "Resolved".Via Old WorldOct 26 2012, 11:55 AM
Philipp Oeser (lichtwerk) added a comment.Via Old WorldOct 26 2012, 12:28 PM

@Ton: thanx for commiting this! I just hope it doesnt break elsewhere. Well I'll try to fix it again then :)

about taking long: no worries at all! I myself have a lot on the TODO for Blender and dont find time for it unfortunately due to other work :(
and if you compare 4 months to the typical A*esk response time, Blender devs are still miles ahead :)
[and I'm not even talking about most of the bugs which are fixed very quickly within a week or so]

Hope to find time to dive into Blender code again soon ;)
Cheers
Philipp

Add Comment